<?php
$wpconfig = realpath("../../../../wp-config.php");

if (!file_exists($wpconfig))  {
	echo "Could not found wp-config.php. Error in path :\n\n".$wpconfig ;	
	die;	
}// stop when wp-config is not there

require_once($wpconfig);
require_once(ABSPATH.'/wp-admin/admin.php');

// check for rights
if(!current_user_can('edit_posts')) die;

?>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>Indizar</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/mctabs.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/form_utils.js"></script>
   <script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-content/plugins/indizar/tinymce/indizar.js"></script>	
	<base target="_self" />
</head>
<body id="link" onload="tinyMCEPopup.executeOnLoad('init();');document.body.style.display='';document.getElementById('chaptertag').focus();" style="display: none">
<!-- <form onsubmit="insertLink();return false;" action="#"> -->
<form name="Indizar" action="#">
	<div class="tabs">
		<ul>
			<li id="chapter_tab" class="current"><span><a href="javascript:mcTabs.displayTab('chapter_tab','chapter_panel');" onmousedown="return false;"><?php _e("Chapter", 'indizar'); ?></a></span></li>
			<li id="index_tab"><span><a href="javascript:mcTabs.displayTab('index_tab','index_panel');" onmousedown="return false;"><?php _e("Index", 'indizar'); ?></a></span></li>
			<li id="configure_tab"><span><a href="javascript:mcTabs.displayTab('configure_tab','configure_panel');" onmousedown="return false;"><?php _e("Configuration", 'indizar'); ?></a></span></li>
		</ul>
	</div>
	
	<div class="panel_wrapper">
		<!-- chapter panel -->
		<div id="chapter_panel" class="panel current">
			<br />
			<table border="0" cellpadding="4" cellspacing="0">
				<tr>
					<td nowrap="nowrap"><label for="chaptertag"><?php _e("Chapter name:", 'indizar'); ?></label></td>
					<td><input id="chaptertag" name="chaptertag" style="width: 200px"></td>
				</tr>
				<tr>
					<td nowrap="nowrap"><label for="chapterfirts"><?php _e("First Chapter:", 'indizar'); ?></label></td>
					<td><input id="chapterfirst" name="chapterfirst" type="checkbox"></td>
				</tr>
			</table>
		</div>
		<!-- chapter panel -->

		<!-- index panel -->
		<div id="index_panel" class="panel">
			<br />
			<table border="0" cellpadding="4" cellspacing="0">
				<tr>
					<td nowrap="nowrap"><label for="indextag"><?php _e("Box size:", 'indizar'); ?></label></td>
					<td><input id="sizetag" name="sizetag" style="width: 40px"> px</td>
				</tr>
				<tr>
					<td nowrap="nowrap" valign="top"><?php _e("Float", 'indizar'); ?></td>
					<td>
						<label>
							<select id="simplefloat" name="simplefloat">
								<option value=""><?php _e("No float", 'indizar'); ?></option>
								<option value="left"><?php _e("Left", 'indizar'); ?></option>
								<option value="right"><?php _e("Right", 'indizar'); ?></option>
							</select>
						</label>
					</td>
				</tr>
			</table>
		</div>
		<!-- index panel -->
	
		<!-- configure panel -->
		<div id="configure_panel" class="panel">
			<br />
			<table border="0" cellpadding="4" cellspacing="0">
				<tr>
					<td nowrap="nowrap" colspan="2"><label for="conf_numberedlist"><?php _e("Numbered list:", 'indizar'); ?></label></td>
					<td colspan="2">
						<label>
							<select id="conf_numberedlist" name="conf_numberedlist">
								<option value="0"><?php _e("None", 'indizar'); ?></option>
								<option value="1"><?php _e("Top", 'indizar'); ?></option>
								<option value="2" selected><?php _e("Bottom", 'indizar'); ?></option>
								<option value="3"><?php _e("Both", 'indizar'); ?></option>
							</select>
						</label>
					</td>
				</tr>
				<tr>
					<td nowrap="nowrap"><label for="conf_box"><?php _e("Box:", 'indizar'); ?></label></td>
					<td><input id="conf_box" name="conf_box" type="checkbox" checked></td>
					<td nowrap="nowrap"><label for="conf_boxsize"><?php _e("Box size:", 'indizar'); ?></label></td>
					<td><input id="conf_boxsize" name="conf_boxsize" style="width: 40px" value="200"> px</td>
				</tr>
				<tr>
					<td colspan="2"></td>
					<td nowrap="nowrap" valign="top"><?php _e("Float", 'indizar'); ?></td>
					<td>
						<label>
							<select id="conf_boxfloat" name="conf_boxfloat" style="width: 120px">
								<option value=""><?php _e("No float", 'indizar'); ?></option>
								<option value="left"><?php _e("Left", 'indizar'); ?></option>
								<option value="right" selected><?php _e("Right", 'indizar'); ?></option>
							</select>
						</label>
					</td>
				</tr>
				<tr>
					<td nowrap="nowrap"><label for="conf_usepreface"><?php _e("Use preface:", 'indizar'); ?></label></td>
					<td><input id="conf_usepreface" name="conf_usepreface" type="checkbox"></td>
					<td><label for="conf_preface"><?php _e("Preface title:", 'indizar'); ?></label></td>
					<td><input id="conf_preface" name="conf_preface" style="width: 120px" value="<?php _e("Preface", 'indizar'); ?>"></td>
				</tr>
			</table>
		</div>
		<!-- simple gallery panel -->
		
	</div>

	<div class="mceActionPanel">
		<div style="float: left">
			<input type="button" id="cancel" name="cancel" value="<?php _e("Cancel", 'indizar'); ?>" onclick="tinyMCEPopup.close();" />
		</div>

		<div style="float: right">
			<input type="submit" id="insert" name="insert" value="<?php _e("Insert", 'indizar'); ?>" onclick="insertIndizarLink();" />
		</div>
	</div>
</form>
</body>
</html>
